Bug 1134141 - [abrt] midori: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119(): midori killed by SIGSEGV
Summary: [abrt] midori: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119(): ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d8ef663ca73237fc1485dffba22...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-27 00:34 UTC by Carlos Morel-Riquelme
Modified: 2015-03-01 06:51 UTC (History)
6 users (show)

Fixed In Version: cairo-1.14.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 06:50:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (103.78 KB, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (50.23 KB, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (17.90 KB, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (1.30 KB, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-27 00:34 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (319.95 KB, text/plain)
2014-08-27 00:35 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (4.81 KB, text/plain)
2014-08-27 00:35 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-08-27 00:35 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (1.63 KB, text/plain)
2014-08-27 00:35 UTC, Carlos Morel-Riquelme
no flags Details

Description Carlos Morel-Riquelme 2014-08-27 00:34:46 UTC
Description of problem:
midori crash when i try to play a video in youtube ( without flash installed)

here is the screencast
https://www.youtube.com/watch?v=XFQ2MZYkQ8E

regards

Version-Release number of selected component:
midori-0.5.8-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        midori
crash_function: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119
executable:     /usr/bin/midori
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119 at /lib64/libcairo.so.2
 #1 _cairo_bentley_ottmann_tessellate_boxes at /lib64/libcairo.so.2
 #2 fixup_unbounded.isra at /lib64/libcairo.so.2
 #3 clip_and_composite_boxes.part at /lib64/libcairo.so.2
 #4 clip_and_composite_boxes at /lib64/libcairo.so.2
 #5 clip_and_composite_polygon at /lib64/libcairo.so.2
 #6 _cairo_traps_compositor_fill.lto_priv.283 at /lib64/libcairo.so.2
 #7 _cairo_compositor_fill at /lib64/libcairo.so.2
 #8 _cairo_xlib_surface_fill at /lib64/libcairo.so.2
 #9 _cairo_surface_fill at /lib64/libcairo.so.2

Comment 1 Carlos Morel-Riquelme 2014-08-27 00:34:49 UTC
Created attachment 931193 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-08-27 00:34:50 UTC
Created attachment 931194 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-08-27 00:34:52 UTC
Created attachment 931195 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-08-27 00:34:53 UTC
Created attachment 931196 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-08-27 00:34:55 UTC
Created attachment 931197 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-08-27 00:34:56 UTC
Created attachment 931198 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-08-27 00:34:57 UTC
Created attachment 931199 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-08-27 00:35:03 UTC
Created attachment 931200 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-08-27 00:35:04 UTC
Created attachment 931201 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-08-27 00:35:05 UTC
Created attachment 931202 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-08-27 00:35:07 UTC
Created attachment 931203 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-08-27 22:21:37 UTC
ok. I will see what I can make of the backtrace... 

thanks for reporting!

Comment 13 Kevin Fenzi 2014-11-11 19:25:45 UTC
Please excuse the mass update here. 

I've just submitted midori-0.5.9 as a update: https://admin.fedoraproject.org/updates/midori-0.5.9-1.fc21

It should be in updates-testing soon. 

Can all of you please update and see if the bug you reported persists or is fixed?

Thanks.

Comment 14 Carlos Morel-Riquelme 2014-11-11 23:45:22 UTC
hello kevin, my system is updated but midori still crash (random) in video web pages , in the navigation "normal" work fine.

Info:

[n0oir@localhost ~]$ rpm -qa |grep -i midori
midori-0.5.9-1.fc21.x86_64
midori-debuginfo-0.5.9-1.fc21.x86_64
[n0oir@localhost ~]$ 

------------------------------------------------------------------

Output of /usr/bin/midori (crash)

[n0oir@localhost ~]$ /usr/bin/midori

(midori4:1434): Gtk-WARNING **: BookmarksAdd: missing action BookmarksAdd
Segmentation fault (core dumped)
[n0oir@localhost ~]$ 

------------------------------------------------------------------

Output of /usr/bin/midori --debug (crash)

http://fpaste.org/149872/

-----------------------------------------------------------------

Output of /usr/libexec/webkitgtk/GtkLauncher ( crash and new abrt bug )

http://fpaste.org/149874/

New bug report > https://bugzilla.redhat.com/show_bug.cgi?id=1162894

----------------------------------------------------------------

Thanks Kevin

Comment 15 Kevin Fenzi 2014-11-11 23:48:05 UTC
Thanks very much for testing. :)

Comment 16 Fedora Update System 2015-01-28 23:27:38 UTC
cairo-1.14.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc21

Comment 17 Fedora Update System 2015-01-28 23:53:52 UTC
cairo-1.14.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc20

Comment 18 Fedora Update System 2015-01-30 04:39:31 UTC
Package cairo-1.14.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cairo-1.14.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1384/cairo-1.14.0-1.fc20
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-03-01 06:50:07 UTC
cairo-1.14.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-03-01 06:51:56 UTC
cairo-1.14.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.